
#import <Flutter/Flutter.h>

@class NormalImageRenderWorker;

@protocol OpenGLRenderWorker <NSObject>

- (void)onDraw;

- (void)onDispose;

@end

@interface OpenGLRender : NSObject

+ (OpenGLRender *)sharedRenderer;

- (void)addWorker:(NormalImageRenderWorker *)worker;

- (void)disposeWorker:(NormalImageRenderWorker *)worker;

@end
